package com.ruoyi.ie.mapper;


import com.ruoyi.ie.domain.Papers;

import java.util.List;
import java.util.Map;

/**
 * 试卷信息Mapper接口
 *
 * @author mingxue
 * @date 2021-06-20
 */
public interface PapersMapper {
    /**
     * 查询试卷信息
     *
     * @param id 试卷信息ID
     * @return 试卷信息
     */
    public Papers selectPapersById(Long id);

    /**
     * 查询试卷信息列表
     *
     * @param papers 试卷信息
     * @return 试卷信息集合
     */
    public List<Papers> selectPapersList(Papers papers);

    public List<Papers> selectMyPapersList(Map cond);

    /**
     * 新增试卷信息
     *
     * @param papers 试卷信息
     * @return 结果
     */
    public int insertPapers(Papers papers);
    public int insertMxjbPapers(Papers papers);

    /**
     * 修改试卷信息
     *
     * @param papers 试卷信息
     * @return 结果
     */
    public int updatePapers(Papers papers);

    /**
     * 删除试卷信息
     *
     * @param id 试卷信息ID
     * @return 结果
     */
    public int deletePapersById(Long id);

    /**
     * 批量删除试卷信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deletePapersByIds(Long[] ids);

    /**
     * 查询条件过滤
     *
     * @param params
     * @return
     */
    public List<Papers> selectAreas(Papers query);

    public List<Papers> selectPapersListFromFavorites(Papers papers);

    public List<Papers> selectCollectInfo(Map<String, Object> map);

    public List<Papers> selectGrades(Papers query);

}
